Subject: RE: [AVT] RE: [dccp] Would a DCCP flow need to send 2x its prefer red rate?

From: "Phelan, Tom" <[email-masked]>
Date: Wed, 3 Dec 2003 12:34:20 -0500

Hi Qiong,

See inline ...

Tom Phelan

> --------------------------------------------------------------
> ...... When you're transmitting at
> less than the TFRC allowed rate, your allowed rate could be twice what
> you're transmitting.  If a loss event happens, your allowed 
> rate is cut
> back, but since it was twice what you were actually transmitting, no
> effect.
> This gives you the effective "protection" of transmitting at 
> twice your
> necessary rate, without actually doing it.
> 
> .......
> ----------------------------------------------------
> 
> Since TRFC allowed rate (R0) is estimated from observed loss 
> rate (L) by
> the DCCP flow, and the two are positively correlated, R0 may be
> interpreted and used in different ways:
> 
> - If the DCCP flow can tolerate a loss rate > L, it can consider to
> increase its sending rate. As long as its sending rate R < R0, it will
> not be considered to be unfair to other TCP flows. It does not
> necessarily means that when R < R0, it is always good to increase R.
> Doing that could result higher loss rate when the end-to-end path is
> lightly multiplexed with TCP flows.
> 
> - If the estimated R0 is reduced, even that it is still higher than R,
> keeping the current sending rate for the DCCP flow may imply the flow
> will experience higher loss rate.

If the loss rate persists, TFRC will continue to reduce R0 until it's below
R.  At that time the app could reduce its rate, or discard packets until the
loss rate is too great.

But this isn't necessarily a persistent loss situation.  If the loss was
induced by other congestion controlled streams probing for more capacity,
then they should back off and the losses should stop.  It should be
persistent only when there are enough competing streams that each stream's
share is less than R.

> 
> The point: the adaptation of DCCP flow rate may need to combine the
> considerations of both R0 and L, depending on the codec 
> characteristics.
> When the decoder can only perform error concealment under certain
> pre-designed loss rate, then the L should dominate the adaptation,
> assuming scalable media content is used, which may imply that R0 could
> become irrelevant under some circumstances.  
> 
> Qiong Li
> 
> 
> 
> _______________________________________________
> Audio/Video Transport Working Group
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/avt
> 

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt